Loading...
Searching...
No Matches
amiga.c File Reference

## Macros

#define | _(String)
#define | AMIGA(pos)
#define | AMIGA_MAX_PARTITIONS 128
#define | AMIGA_RDB_NOT_FOUND ((uint32_t)0xffffffff)
#define | IDNAME_BADBLOCK (uint32_t)0x42414442 /* 'BADB' */
#define | IDNAME_BOOT (uint32_t)0x424f4f54 /* 'BOOT' */
#define | IDNAME_FILESYSHEADER (uint32_t)0x46534844 /* 'FSHD' */
#define | IDNAME_FREE (uint32_t)0xffffffff
#define | IDNAME_LOADSEG (uint32_t)0x4C534547 /* 'LSEG' */
#define | IDNAME_PARTITION (uint32_t)0x50415254 /* 'PART' */
#define | IDNAME_RIGIDDISK (uint32_t)0x5244534B /* 'RDSK' */
#define | RDB_LOCATION_LIMIT 16
#define | RDSK(pos)

## Functions

struct AmigaIds * | _amiga_add_id (uint32_t id, struct AmigaIds *ids)
void | _amiga_free_ids (struct AmigaIds *ids)
int | _amiga_id_in_list (uint32_t id, struct AmigaIds *ids)
struct PartitionBlock * | amiga_find_part (PedGeometry *geom, struct PartitionBlock *part)

## Macro Definition Documentation

## _

#define _ | ( |  | String | ) |

Value:
(String)

## AMIGA

#define AMIGA | ( |  | pos | ) |

Value:
((struct AmigaBlock *)(pos))

## AMIGA_MAX_PARTITIONS

#define AMIGA_MAX_PARTITIONS 128

## AMIGA_RDB_NOT_FOUND

#define AMIGA_RDB_NOT_FOUND ((uint32_t)0xffffffff)

## IDNAME_BADBLOCK

#define IDNAME_BADBLOCK (uint32_t)0x42414442 /* 'BADB' */

## IDNAME_BOOT

#define IDNAME_BOOT (uint32_t)0x424f4f54 /* 'BOOT' */

## IDNAME_FILESYSHEADER

#define IDNAME_FILESYSHEADER (uint32_t)0x46534844 /* 'FSHD' */

## IDNAME_FREE

#define IDNAME_FREE (uint32_t)0xffffffff

## IDNAME_LOADSEG

#define IDNAME_LOADSEG (uint32_t)0x4C534547 /* 'LSEG' */

## IDNAME_PARTITION

#define IDNAME_PARTITION (uint32_t)0x50415254 /* 'PART' */

## IDNAME_RIGIDDISK

#define IDNAME_RIGIDDISK (uint32_t)0x5244534B /* 'RDSK' */

## RDB_LOCATION_LIMIT

#define RDB_LOCATION_LIMIT 16

## RDSK

#define RDSK | ( |  | pos | ) |

Value:
((struct RigidDiskBlock *)(pos))

## Function Documentation

## _amiga_add_id()

struct AmigaIds * _amiga_add_id | ( | uint32_t | id,
|  | struct AmigaIds * | ids )

## _amiga_free_ids()

void _amiga_free_ids | ( | struct AmigaIds * | ids | ) |

## _amiga_id_in_list()

int _amiga_id_in_list | ( | uint32_t | id,
|  | struct AmigaIds * | ids )

## amiga_find_part()

struct PartitionBlock * amiga_find_part | ( | PedGeometry * | geom,
|  | struct PartitionBlock * | part )